%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global oname paida

Name:		python-paida
Version:	3.2.1_2.10.1
Release:	18%{?dist}
Summary:	Pure Python scientific analysis package
Group:		Development/Languages
License:	Python
URL:		http://paida.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz   
BuildArch:	noarch

BuildRequires:	python2-devel

%global _description\
PAIDA is pure Python scientific analysis package and\
supports AIDA (Abstract Interfaces for Data Analysis).

%description %_description

%package -n python2-paida
Summary: %summary
Requires:	python2-tkinter
%{?python_provide:%python_provide python2-paida}

%description -n python2-paida %_description

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot} 

 

%files -n python2-paida
%defattr(-,root,root,-)
%doc CHANGES PKG-INFO README
%{python_sitelib}/%{oname}/
%{python_sitelib}/%{oname}-*.egg-info


%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3.2.1_2.10.1-18
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1_2.10.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.2.1_2.10.1-16
- Python 2 binary package renamed to python2-paida
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1_2.10.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1_2.10.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-13
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1_2.10.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.2.1_2.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1_2.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 3.2.1_2.10.1-2
- Review fix.

* Mon Apr 27 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 3.2.1_2.10.1-1
- First release.
